/* Plyr */
:root {
  --plyr-color-main: rgba(254, 206, 46, 1); 
}

/* Scroll */
html {
  scroll-behavior: smooth;
}

.content a {
    color: #fece2e;
}

/* Fonts */
.poppins-thin {
  font-family: "Poppins", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.poppins-extralight {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  font-style: normal;
}

.poppins-light {
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.poppins-regular {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.poppins-medium {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.poppins-semibold {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.poppins-bold {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.poppins-extrabold {
  font-family: "Poppins", sans-serif;
  font-weight: 800;
  font-style: normal;
}

.poppins-black {
  font-family: "Poppins", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.poppins-thin-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 100;
  font-style: italic;
}

.poppins-extralight-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  font-style: italic;
}

.poppins-light-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.poppins-regular-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.poppins-medium-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.poppins-semibold-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: italic;
}

.poppins-bold-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.poppins-extrabold-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 800;
  font-style: italic;
}

.poppins-black-italic {
  font-family: "Poppins", sans-serif;
  font-weight: 900;
  font-style: italic;
}

/* Body */
body {
  margin: 0;
  padding: 0;
  background-color: rgb(25, 25, 27);
  font-family: "Poppins";
  color: white;
}

/* BTN */
.primary-button {
  padding: 0.625rem 2rem;
  border: 1px solid rgba(255, 255, 255, 0.2);
  color: white;
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(2.5rem);
  -webkit-backdrop-filter: blur(2.5rem);
  display: flex !important;
  justify-content: center;
  align-items: center;
  gap: 0.375rem;
  transition: all 0.2s;
  font-size: 0.875rem;
  width: fit-content;
}

.primary-button:hover {
  color: white;
  transform: scale(1.05);
  background: rgba(255, 255, 255, 0.08);
  border: 1px solid rgba(255, 255, 255, 0.4);
  transition: all 0.2s;
}

.secondary-button{
    padding: 0.625rem 2rem;
  border: 1px solid hsla(46, 99%, 59%, 0.2);
  color: white;
  background: hsla(46, 99%, 59%, 0.05);
  backdrop-filter: blur(2.5rem);
  -webkit-backdrop-filter: blur(2.5rem);
  display: flex !important;
  justify-content: center;
  align-items: center;
  gap: 0.375rem;
  transition: all 0.2s;
  font-size: 0.875rem;
  width: fit-content;
}

.secondary-button:hover {
  color: white;
  transform: scale(1.05);
  background: hsla(46, 99%, 59%, 0.08);
  border: 1px solid hsla(46, 99%, 59%, 0.4);
  transition: all 0.2s;
}

a {
  transition: all 0.3s;
}

a:hover {
  transform: scale(1.1);
  transition: all 0.3s;
}

/* Gap between sections */
.gap-between {
  margin-bottom: 5rem;
}

/* Navigation */
.header-section {
  padding-top: 1rem;
  padding-bottom: 3rem;
}

.header-logo img{
    width: 98px;
}

.mobile-menu-overlay {
  position: fixed;
  z-index: 2000;
  top: 0; left: 0; width: 100vw; height: 100vh;
  background: rgba(0,0,0,0.0);
  opacity: 0;
  pointer-events: none;
  transition: background 0.33s cubic-bezier(.6,.2,.55,1.1), opacity 0.33s cubic-bezier(.6,.2,.55,1.1);
}

.mobile-menu-overlay.active {
  background: rgba(0,0,0,0.60);
  opacity: 1;
  pointer-events: auto;
}

.mobile-menu-content {
  position: absolute;
  right: 0;
  top: 0;
  height: 100vh;
  width: 80vw;
  max-width: 340px;
  background: rgb(25,25,27);
  box-shadow: -2px 0 16px rgba(0,0,0,0.09);
  padding: 2rem 1.5rem 1.5rem 1.5rem;
  display: flex;
  flex-direction: column;
  transform: translateX(100%);
  opacity: 0;
  transition:
    transform 0.33s cubic-bezier(.6,.2,.55,1.1),
    opacity 0.28s cubic-bezier(.6,.2,.55,1.1);
}

.mobile-menu-overlay.active .mobile-menu-content {
  transform: translateX(0);
  opacity: 1;
}

.mobile-menu-content .nav-link {
  color: #ffffff !important;
  font-weight: 500;
  margin-bottom: 1.5rem;
  font-size: 1.3rem;
}

.close-btn {
  align-self: flex-end;    
  margin-bottom: 1rem;
  font-size: 2.2rem;
  position: absolute;
  top: 2px;
  right: 5px;
  color: #FECE2E;
}

.close-btn:hover {
 transform: scale(1.05);
 color: #FECE2E !important;
}

.mobile-menu-content ul.nav li:first-child .nav-link {
    margin-top: 1rem;
}

/* Landing Page */

.main-section {
  height: 100%;
}
/* Left Side */
.main-left {
  gap: 2rem;
  padding: 0.625rem 0;
}
.main-label {
  font-size: 0.75rem;
  font-weight: 400;
  letter-spacing: 0.1125rem;
}

.main-title {
  font-size: 2.5rem;
  line-height: 3rem;
  max-width: 33.5625rem;
  width: 100%;
}

.main-desc  {
  font-size: 1rem;
  font-weight: 400;
  color: rgba(255, 255, 255, 0.6);
  max-width: 750px;
  width: 100%;
}

.main-desc li{
    text-align: start;
}

.main-desc a{
    color: #FECE2E;
}

/* Right Side */
.main-img-wrapper {
  max-width: 440px;
  border-radius: 32px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  
}

.main-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 32px;
  display: block;
}

/* Tutorial Section */
/* Tutorial text*/
.tutorial-section {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 0.625rem 0;
}

.tutorial-header {
  font-weight: 600;
  font-size: 2.25rem;
}

/* Video*/

.plyr--full-ui,
.plyr__video-wrapper,
.plyr-video {
  max-width: 610px;
  width: 100%;
  aspect-ratio: 1.525;
  border-radius: 32px;
  background: #000000;
  display: flex;
  align-items: center;
  justify-content: center;
}

.plyr__video-wrapper video,
.plyr-video {
  object-fit: contain;
  width: 100%;
  height: 100%;
  border-radius: 32px;
  background: #000000;
}

@supports not (aspect-ratio: 1) {
  .plyr--full-ui,
  .plyr__video-wrapper,
  .plyr-video {
    height: 400px;
  }
}


.video-label {
  font-weight: 600;
  font-size: 14px;
  color: white;
  position: relative;
  z-index: 1;
}

/* Download Section */
.download-section {
  position: relative;
  z-index: 1;
}
.download-left-section {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

/* Store Card */
.store-card {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 1.5rem 2rem;
  border-radius: 2rem;
}

.phones-img {
  max-width: 38.125rem;
  max-height: 38.9375rem;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.qr-img {
  max-width: 6.375rem;
  width: 100%;
  max-height: 6.375rem;
  height: 100%;
}

/* FAQ */
.accordion{
    max-width: 610px;
    width: 100%;
}

.accordion-button {
  font-size: 1.25rem;
  font-weight: 700;
  letter-spacing: 0.16px;
  padding: 1.25rem 1.875rem;
}

.accordion-button span {
  max-width: 28.25rem;
  width: 100%;
}

.accordion-item {
  border: 1px solid rgba(255, 255, 255, 0.2) !important;
}

.accordion-item,
.accordion-button {
  background-color: rgba(255, 255, 255, 0.05);
  color: white;
}

.main-faq {
  max-width: 610px;
  width: 100%;
}

.accordion-body {
  padding: 0.75rem 1.875rem;
  padding-bottom: 1.5rem;
}

.accordion-body span {
  max-width: 27.125rem;
  width: 100%;
  font-size: 0.875rem;
  display: block;
}

.accordion-button::after {
  background-image: url('data:image/svg+xml;utf8,<svg fill="none" stroke="white" stroke-width="2" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg"><line x1="8" y1="2" x2="8" y2="14"/><line x1="2" y1="8" x2="14" y2="8"/></svg>');
  background-repeat: no-repeat;
  background-size: 1.5rem 1.5rem;
  width: 1.5rem;
  height: 1.5rem;
  content: "";
  transition: transform 0.5s;
}
.accordion-button:not(.collapsed)::after {
  background-image: url('data:image/svg+xml;utf8,<svg fill="none" stroke="white" stroke-width="2" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg"><line x1="2" y1="8" x2="14" y2="8"/></svg>');
}

.accordion-button:not(.collapsed) {
  background-color: inherit !important;
  color: inherit !important;
  box-shadow: none;
  border-color: inherit;
}

.accordion-button:focus {
  box-shadow: none !important;
  outline: none !important;
}

.js-faq-extra {
  overflow: hidden;
  transition: max-height 0.4s cubic-bezier(.4,0,.2,1), opacity 0.2s;
  max-height: 0;
  opacity: 0;
}

.js-faq-extra.faq-expanded {
  opacity: 1;

}

.faq-hidden {
  display: none;
}




/* Footer */
.footer-section {
  margin-bottom: 1rem;
}

.side-footer {
  padding: 0 0.625rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.footer-center {
  font-size: 1.5rem;
  color: rgba(254, 206, 46, 1);
  line-height: 1.75rem;
}


/* Privacy Policy */
.gdpr-desc{
    max-width: 100%;
    color: rgba(255, 255, 255, 0.6);
}

/* Blog Home*/
.blog-section{
    display: flex;
    flex-direction: column;
    gap: 0rem;
    padding: 0.625rem 0;
}

.home-blog-img-wrapper{
    width: 100%;
   height: 270px;
}

.home-blog-img{
    width: 100%;
    height: 100%;
    border-radius: 32px;
    object-fit: cover;
}

.post-title{
    color: white;
    text-decoration: none;
}

.post-title {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  -webkit-line-clamp: 3; 
  font-size: 28px;
  line-height: 1.2;
  min-height: 102px; 
}

.info{
    color: rgba(255, 255, 255, 0.9);
    font-size: 0.875rem;
}

/* Article */

.content h2{
    color: white;
    font-size: 1.5rem;
}

.content{
    color: rgba(255, 255, 255, 0.9);
}

.featured-images-article{
    max-width: 100%;
    height: auto;
    border-radius: 32px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 34px 74px 0px rgba(0, 0, 0, 0.39),
    0px 134px 134px 0px rgba(0, 0, 0, 0.34),
    0px 302px 181px 0px rgba(0, 0, 0, 0.2),
    0px 537px 215px 0px rgba(0, 0, 0, 0.06),
    0px 839px 235px 0px rgba(0, 0, 0, 0.01);
}

.featured-images-article img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 32px;
  display: block;
}

/* Pridaj toto do tvojho CSS */

/* Splide Carousel Styles */
.featured-images {
    max-width: 610px;
    width: 100%;
    margin: 0 auto;
}

.splide {
    background: transparent;
    border-radius: 32px;
    overflow: hidden;
    box-shadow: 0px 34px 74px 0px rgba(0, 0, 0, 0.39),
        0px 134px 134px 0px rgba(0, 0, 0, 0.34),
        0px 302px 181px 0px rgba(0, 0, 0, 0.2),
        0px 537px 215px 0px rgba(0, 0, 0, 0.06),
        0px 839px 235px 0px rgba(0, 0, 0, 0.01);
}

.splide__track {
    height: 550px; /* Rovnaká výška ako featured-images-article */
    border-radius: 32px;
    overflow: hidden;
}

.splide__list {
    height: 100%;
}

.splide__slide {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 32px;
    overflow: hidden;
}

.splide__slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 32px;
    display: block;
}

.pagination{
    display: flex;
    gap: 0.5rem;
    justify-content: flex-end;
}

.pagination li a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-decoration: none;
    background-color: transparent;
    border-radius: 50%;
    aspect-ratio: 1 / 1;         
    min-width: 36px;             
    padding: 0 6px;             
    font-size: 14px;
    line-height: 1;
    transition: background-color 0.3s ease;
}

.pagination li.active a {
    background-color: var(--plyr-color-main);
}

.home-blog-img-wrapper {
  overflow: hidden;
}

.home-blog-img-wrapper {
  transition: transform 0.3s ease;
  display: block;
}

.post-link-wrapper:hover .home-blog-img-wrapper {
  transform: scale(1.05);
}

.no-scale-link,
.no-scale-link:hover {
  transform: none !important;
}


.yt-lite {
  position: relative;
  width: 100%;
  max-width: 720px;
  aspect-ratio: 16 / 9;
  border: 0;
  background: #000;
  cursor: pointer;
  border-radius: 12px;
  overflow: hidden;
  display: block;
}


.yt-thumb {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  filter: saturate(1.1);
  transition: transform .25s ease;
}


.yt-play {
  position: absolute;
 
  width: 56px;
  height: 56px;
  border-radius: 50%;
  background: #FFD700; 
  box-shadow: 0 6px 16px rgba(0,0,0,.25);
  left: 50%;
  transform: translate(-50%, -50%);
  top: 50%;
}
.yt-play::before {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-40%, -50%);
  border-style: solid;
  border-width: 10px 0 10px 16px;
  border-color: transparent transparent transparent white; 
}

.section-404 {
  height: 75vh;
}
.section-404 h1{
    font-size: 9rem;
}
.section-404 a{
    color: var(--plyr-color-main);
}

.cta{
    display: flex;
    gap: 1rem;
    align-items: center;
    
}

.video-embed {
  position: relative;
  width: 100%;
  padding-top: 56.25%; /* 16:9 */
  border-radius: 16px;
  overflow: hidden;
}
.video-embed iframe {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

.option-card{
    border: 1px solid rgba(255, 255, 255, 0.2);
    color: white;
    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(2.5rem);
    -webkit-backdrop-filter: blur(2.5rem);
    display: flex !important;
    
    gap: 0.375rem;
    transition: all 0.2s;
    height: 100%;
    
}

#single-esims .option-card {
    width: fit-content;
}

.option-card h3{
    text-align: center;
}

#single-esims ul{
    display: flex;
    gap: 3rem;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}


.gap-between ul {
  list-style: none;
  padding-left: 0;
}

.gap-between ul li {
  position: relative;
  padding-left: 32px;
}

.gap-between ul li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 2px;
  width: 20px;
  height: 20px;
  background-color: #FFC107; /* tvoja brand žltá */

  
  -webkit-mask: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'>\
<path d='M0 0h24v24H0z' fill='none'/>\
<path d='M17 3.34a10 10 0 1 1 -14.995 8.984l-.005 -.324l.005 -.324a10 10 0 0 1 14.995 -8.336zm-1.293 5.953a1 1 0 0 0 -1.32 -.083l-.094 .083l-3.293 3.292l-1.293 -1.292l-.094 -.083a1 1 0 0 0 -1.403 1.403l.083 .094l2 2l.094 .083a1 1 0 0 0 1.226 0l.094 -.083l4 -4l.083 -.094a1 1 0 0 0 -.083 -1.32z'/>\
</svg>") no-repeat center;

  -webkit-mask-size: contain;

  mask: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'>\
<path d='M0 0h24v24H0z' fill='none'/>\
<path d='M17 3.34a10 10 0 1 1 -14.995 8.984l-.005 -.324l.005 -.324a10 10 0 0 1 14.995 -8.336zm-1.293 5.953a1 1 0 0 0 -1.32 -.083l-.094 .083l-3.293 3.292l-1.293 -1.292l-.094 -.083a1 1 0 0 0 -1.403 1.403l.083 .094l2 2l.094 .083a1 1 0 0 0 1.226 0l.094 -.083l4 -4l.083 -.094a1 1 0 0 0 -.083 -1.32z'/>\
</svg>") no-repeat center;

  mask-size: contain;
}

.how-steps {
  list-style: none;
  padding-left: 0;
  counter-reset: step;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.how-steps li {
  position: relative;
  padding-left: 60px;
  margin-bottom: 28px;
  counter-increment: step;
  display: flex;
  align-items: cener;
}

.how-steps li p{
    margin-bottom: 0 !important;
    margin-top: 0.36rem;
}

.how-steps li::before {
  content: counter(step);
  position: absolute;
  left: 0;

  width: 40px;
  height: 40px;

  display: flex;
  align-items: center;
  justify-content: center;

  border-radius: 50%;
  background: rgba(255,255,255,0.05);
  border: 1px solid rgba(255,255,255,0.1);

  color: #FFC107;
  font-weight: 600;
  font-size: 16px;
}